Bug 250235 - x11-themes/qt5-style-plugins: update patch to compile with qt>=5.15.0
Summary: x11-themes/qt5-style-plugins: update patch to compile with qt>=5.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-09 21:13 UTC by Marcel Kaiser
Modified: 2020-11-08 10:37 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
svn diff to update the patch to build with qt>=5.15.0 (2.50 KB, patch)
2020-10-09 21:13 UTC, Marcel Kaiser
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2020-10-09 21:13:22 UTC
Created attachment 218632 [details]
svn diff to update the patch to build with qt>=5.15.0

Hi,

with the current patch GTK themes are not rendered correctly (the background color of windows do not match the theme). An updated patch [1] fixes this problem.

The attached svn diff bumps PORTREVISION, and updates the patch according to [1].

---
1 https://aur.tuna.tsinghua.edu.cn/cgit/aur.git/tree/0002-fix-gtk2-background.patch?h=qt5-styleplugins
Comment 1 commit-hook freebsd_committer 2020-11-06 20:29:01 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov  6 20:28:45 UTC 2020
New revision: 554313
URL: https://svnweb.freebsd.org/changeset/ports/554313

Log:
  x11-themes/qt5-style-plugins: fix background colour handling

  PR:		250235
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org>
  Obtained from:	https://aur.tuna.tsinghua.edu.cn/cgit/aur.git/tree/0002-fix-gtk2-background.patch?h=qt5-styleplugins

Changes:
  head/x11-themes/qt5-style-plugins/Makefile
  head/x11-themes/qt5-style-plugins/files/patch-fix_build_against_qt5.15
Comment 2 commit-hook freebsd_committer 2020-11-06 20:30:03 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov  6 20:29:50 UTC 2020
New revision: 554314
URL: https://svnweb.freebsd.org/changeset/ports/554314

Log:
  MFH: r554313

  x11-themes/qt5-style-plugins: fix background colour handling

  PR:		250235
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org>
  Obtained from:	https://aur.tuna.tsinghua.edu.cn/cgit/aur.git/tree/0002-fix-gtk2-background.patch?h=qt5-styleplugins

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/x11-themes/qt5-style-plugins/Makefile
  branches/2020Q4/x11-themes/qt5-style-plugins/files/patch-fix_build_against_qt5.15
Comment 3 Tobias C. Berner freebsd_committer 2020-11-06 20:30:27 UTC
Committed -- sorry for the time it took :)

mfg Tobias
Comment 4 Marcel Kaiser 2020-11-08 10:37:59 UTC
(In reply to Tobias C. Berner from comment #3)
Thank you for the commit, Tobias!